Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Typedefs | Functions
newhope.cpp File Reference
`#include <botan/newhope.h>`
`#include <botan/hash.h>`
`#include <botan/stream_cipher.h>`
`#include <botan/loadstor.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | NEWHOPE_POLY_BYTES 1792
#define | NEWHOPE_SEED_BYTES 32
#define | PARAM_N 1024
#define | PARAM_Q 12289

## Typedefs
typedef newhope_poly | Botan::poly

## Functions
void | Botan::newhope_keygen (uint8_t *send, poly *sk, RandomNumberGenerator &rng, Newhope_Mode mode)
void | Botan::newhope_shareda (uint8_t *sharedkey, const poly *sk, const uint8_t *received, Newhope_Mode mode)
void | Botan::newhope_sharedb (uint8_t *sharedkey, uint8_t *send, const uint8_t *received, RandomNumberGenerator &rng, Newhope_Mode mode)

## Macro Definition Documentation

#define NEWHOPE_POLY_BYTES 1792

Definition at line 25 of file newhope.cpp.

#define NEWHOPE_SEED_BYTES 32

Definition at line 26 of file newhope.cpp.

Referenced by Botan::newhope_keygen(), and Botan::newhope_sharedb().

#define PARAM_N 1024

Definition at line 23 of file newhope.cpp.

#define PARAM_Q 12289

Definition at line 22 of file newhope.cpp.